Page MenuHomePhabricator

Grant "Cloud admin" rights to Reedy
Closed, ResolvedPublic

Description

@bd808 would like to nominate @Reedy for cloud-wide root + admin project membership per https://wikitech.wikimedia.org/wiki/Help:Access_policies

@Reedy is employed as a member of Security-Team which fairly obliviously covers the NDA requirements for cloudroot/cloudadmin. He is also current a Toolforge administrator. Expanding his rights beyond Toolforge to include the rest of the Cloud-VPS and Cloud-Services ecosystem will let him help with deeper investigations into various Cloud issues. He is also known to be a helpful "elf" in the wiki sense, and the expanded rights will give him more places to find and fix messes.

Event Timeline

bd808 created this task.Apr 8 2020, 10:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2020, 10:00 PM
bd808 set Due Date to Apr 15 2020, 10:00 PM.Apr 8 2020, 10:05 PM
bd808 added a comment.Apr 8 2020, 10:43 PM

Notifications have been sent to the cloud-admin mailing list and the Wikimedia Foundation Trust & Safety team.

bd808 added a comment.Apr 9 2020, 3:26 PM

Trust & Safety reported no concerns

Bstorm added a subscriber: Bstorm.Apr 15 2020, 3:29 PM

+1 (generally approved in weekly meeting)

bd808 claimed this task.Apr 15 2020, 8:26 PM

I will work on getting the right things done in Puppet, etc.

JHedden triaged this task as Medium priority.Apr 21 2020, 4:28 PM
JHedden moved this task from Soon! to Doing on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2020-05-15T22:05:39Z] <bd808> Added reedy as projectadmin in admin project (T249774)

Mentioned in SAL (#wikimedia-cloud) [2020-05-15T22:10:40Z] <bd808> Added reedy as projectadmin in cloudinfra project (T249774)

@Reedy please provide a unique ssh public key for root@*.eqiad.wmflabs instance access. You can either give it here and I'll make the patch to modules/passwords/templates/root-authorized-keys.erb in labs/private.git, or you can make that patch yourself in gerrit and reference this ticket.

bd808 added a comment.Jun 3 2020, 4:59 PM

@Reedy please provide a unique ssh public key for root@*.eqiad.wmflabs instance access. You can either give it here and I'll make the patch to modules/passwords/templates/root-authorized-keys.erb in labs/private.git, or you can make that patch yourself in gerrit and reference this ticket.

Poke @Reedy

Reedy added a comment.Jun 3 2020, 10:16 PM
This comment was removed by Reedy.
Reedy added a comment.Jun 3 2020, 10:28 PM

Second time lucky

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQCrbx9PQlWVrvYAw280ypYulMffcIUJnAXTgU7fWCEWD/k91133TJ15u5KhT6Kx1tS3aE+6Vb/5LpCxsre16OuVLZUH5qj+klAymysYpp1tR1UNKLNN8jQT07juPeHvsjjkixxwKRQeyojLnb+JdgTv8j7KztrdgcisB0o5hbLDiHSsMrRvFCDbTfDEKZgbWVHbLWztwy22RwYXZJm5YTRiW8YpuqZ1/PMAARku9B8Grm18JUZ53HwfLSiEWPOKo6vAfTxQHWhUYn+PV63oNhgWOtzLowaJ3OuiSTHF9YDKEV/6yzgHECjVSG+TO2eBkE1FKyEtfcU54z0Ej5jS5iu+P/GVhZNrw2CddxkgASRHUDw1sjeAtFP1bfQoFp0fmdHPTIJ84YqRTX6mVCVuG61gCgjgw3LxEPNRD52eDlkhk1f73sn7fbZQJ8lzSWj59r0mDt2Ja4hRYPjyJy1gr3Br6mjEdvCgRG9IUe12vAGdhxJFYJVSaD3y7HJHS1j5cyBdPNlnjlmpUfotoriAli9m01+0BEpkix80t4KzCF/q0o8lLcFviHzinmlP2Lfa9VrqMERNBokCREof1Emiv2o5g8yHLZgx6tb4pnKaBFk9AnnxyxlcX0ZwwVwaHZE7CQpBz+FmKIukei/+m3IMXWLdW7oZs3HUoxmMgRqq8BnP+w== sam@reedyboy.net

I boldly removed the Due Date which was two months ago. I don't see how this task has an actual deadline.

Change 612974 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/private@master] Add Cloud VPS global root key for Sam Reed

https://gerrit.wikimedia.org/r/612974

Change 612974 merged by Andrew Bogott:
[labs/private@master] Add Cloud VPS global root key for Sam Reed

https://gerrit.wikimedia.org/r/612974

bd808 closed this task as Resolved.Fri, Jul 24, 7:26 PM